C This program illustrates the passing an array into a subroutine
C Note that it is necessary to dimension the array inside the subroutine
        DIMENSION A(3)
        A(1) = 5.6
        A(2) = 2.34
        A(3) = 55.2
        NUMELEMENTS = 3
        CALL PRINT (A, NUMELEMENTS)
        STOP
        END


        SUBROUTINE PRINT (B, NUMBER)
        DIMENSION B(NUMBER)
        DO 10 I = 1,NUMBER
          WRITE (6,20) B(I)
   10   CONTINUE
   20   FORMAT (1X, F10.2)
        RETURN
        END

